Download it now!
Bug 125968 - Can't paste anything from LibreOffice to FireFox
Summary: Can't paste anything from LibreOffice to FireFox
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-06-17 16:22 UTC by Roman Kuznetsov
Modified: 2019-06-18 05:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-06-17 16:22:43 UTC
Description:
Can't paste anything from LibreOffice to FireFox

Steps to Reproduce:
1. Open Writer and type anything
2. Ctrl+A -> Ctrl+C
3. Open our BugZilla and create a new bug
4. Try paste using Ctrl+V or right click mouse menu
5. It happens nothing

I can paste it into Kate. And I can paste text from Kate to FireFox

Actual Results:
Can't paste anything from LibreOffice to FireFox

Expected Results:
Can paste anything from LibreOffice to FireFox


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+
Build ID: f75c2b04785aa05cff3bcd52689feb7400a14e8e
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-06-15_11:49:26
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Roman Kuznetsov 2019-06-17 16:23:19 UTC
I use Kubuntu 19.04
Comment 2 Jan-Marek Glogowski 2019-06-17 16:56:44 UTC
No patch without a bug. Regression from the fix for bug 122239.
Comment 3 Roman Kuznetsov 2019-06-17 17:09:00 UTC
(In reply to Jan-Marek Glogowski from comment #2)
> No patch without a bug. Regression from the fix for bug 122239.


I'm so sorry
Comment 4 Michael Weghorn 2019-06-17 17:55:18 UTC
Fix pending at https://gerrit.libreoffice.org/#/c/74183/
Comment 5 Commit Notification 2019-06-17 19:31:34 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3a804b9301cbf68ae583d9f37b0e4e1635e63abe%5E%21

tdf#125968 fix the result order of text mime info

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Jan-Marek Glogowski 2019-06-17 19:58:13 UTC
(In reply to Roman Kuznetsov from comment #3)
> (In reply to Jan-Marek Glogowski from comment #2)
> > No patch without a bug. Regression from the fix for bug 122239.
> 
> I'm so sorry

No need to be sorry. The fix for bug 122239 rewrote the whole clipboard and DnD handling (+526, -352 diff). Should have tested wit gtk+ application again. This fix was obvious and just an oversight from some copy and paste. If that's the only regression, I'm happy ;-)
Comment 7 Commit Notification 2019-06-18 05:42:12 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/8f4c61fb0204d3805a30bd0736449b0584ffb489%5E%21

tdf#125968 fix the result order of text mime info

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.